Changeset 757


Ignore:
Timestamp:
Aug 15, 2007 6:42:13 PM (12 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/BSP/trunk/Cbc/configure

    r756 r757  
    18491849  if test "$enable_doscompile" != no; then
    18501850     case $build in
    1851        *-cygwin*) ;;
    1852        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1853 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1851       *-cygwin* | *-mingw*) ;;
     1852       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1853echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18541854   { (exit 1); exit 1; }; } ;;
    18551855     esac
     
    18591859fi;
    18601860 case "$enable_doscompile" in
    1861    msvc|mingw|no) ;;
     1861   mingw)
     1862     case $build in
     1863       *-mingw*) enable_doscompile=no ;;
     1864     esac
     1865     ;;
     1866   msvc|no) ;;
    18621867   yes) enable_doscompile=mingw ;;
    18631868   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    56485653*-*-irix6*)
    56495654  # Find out which ABI we are using.
    5650   echo '#line 5650 "configure"' > conftest.$ac_ext
     5655  echo '#line 5655 "configure"' > conftest.$ac_ext
    56515656  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56525657  (eval $ac_compile) 2>&5
     
    67826787
    67836788# Provide some information about the compiler.
    6784 echo "$as_me:6784:" \
     6789echo "$as_me:6789:" \
    67856790     "checking for Fortran 77 compiler version" >&5
    67866791ac_compiler=`set X $ac_compile; echo $2`
     
    78497854   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78507855   -e 's:$: $lt_compiler_flag:'`
    7851    (eval echo "\"\$as_me:7851: $lt_compile\"" >&5)
     7856   (eval echo "\"\$as_me:7856: $lt_compile\"" >&5)
    78527857   (eval "$lt_compile" 2>conftest.err)
    78537858   ac_status=$?
    78547859   cat conftest.err >&5
    7855    echo "$as_me:7855: \$? = $ac_status" >&5
     7860   echo "$as_me:7860: \$? = $ac_status" >&5
    78567861   if (exit $ac_status) && test -s "$ac_outfile"; then
    78577862     # The compiler can only warn and ignore the option if not recognized
     
    81178122   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81188123   -e 's:$: $lt_compiler_flag:'`
    8119    (eval echo "\"\$as_me:8119: $lt_compile\"" >&5)
     8124   (eval echo "\"\$as_me:8124: $lt_compile\"" >&5)
    81208125   (eval "$lt_compile" 2>conftest.err)
    81218126   ac_status=$?
    81228127   cat conftest.err >&5
    8123    echo "$as_me:8123: \$? = $ac_status" >&5
     8128   echo "$as_me:8128: \$? = $ac_status" >&5
    81248129   if (exit $ac_status) && test -s "$ac_outfile"; then
    81258130     # The compiler can only warn and ignore the option if not recognized
     
    82218226   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82228227   -e 's:$: $lt_compiler_flag:'`
    8223    (eval echo "\"\$as_me:8223: $lt_compile\"" >&5)
     8228   (eval echo "\"\$as_me:8228: $lt_compile\"" >&5)
    82248229   (eval "$lt_compile" 2>out/conftest.err)
    82258230   ac_status=$?
    82268231   cat out/conftest.err >&5
    8227    echo "$as_me:8227: \$? = $ac_status" >&5
     8232   echo "$as_me:8232: \$? = $ac_status" >&5
    82288233   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82298234   then
     
    1056610571  lt_status=$lt_dlunknown
    1056710572  cat > conftest.$ac_ext <<EOF
    10568 #line 10568 "configure"
     10573#line 10573 "configure"
    1056910574#include "confdefs.h"
    1057010575
     
    1066610671  lt_status=$lt_dlunknown
    1066710672  cat > conftest.$ac_ext <<EOF
    10668 #line 10668 "configure"
     10673#line 10673 "configure"
    1066910674#include "confdefs.h"
    1067010675
     
    1301013015   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1301113016   -e 's:$: $lt_compiler_flag:'`
    13012    (eval echo "\"\$as_me:13012: $lt_compile\"" >&5)
     13017   (eval echo "\"\$as_me:13017: $lt_compile\"" >&5)
    1301313018   (eval "$lt_compile" 2>conftest.err)
    1301413019   ac_status=$?
    1301513020   cat conftest.err >&5
    13016    echo "$as_me:13016: \$? = $ac_status" >&5
     13021   echo "$as_me:13021: \$? = $ac_status" >&5
    1301713022   if (exit $ac_status) && test -s "$ac_outfile"; then
    1301813023     # The compiler can only warn and ignore the option if not recognized
     
    1311413119   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1311513120   -e 's:$: $lt_compiler_flag:'`
    13116    (eval echo "\"\$as_me:13116: $lt_compile\"" >&5)
     13121   (eval echo "\"\$as_me:13121: $lt_compile\"" >&5)
    1311713122   (eval "$lt_compile" 2>out/conftest.err)
    1311813123   ac_status=$?
    1311913124   cat out/conftest.err >&5
    13120    echo "$as_me:13120: \$? = $ac_status" >&5
     13125   echo "$as_me:13125: \$? = $ac_status" >&5
    1312113126   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1312213127   then
     
    1468414689   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1468514690   -e 's:$: $lt_compiler_flag:'`
    14686    (eval echo "\"\$as_me:14686: $lt_compile\"" >&5)
     14691   (eval echo "\"\$as_me:14691: $lt_compile\"" >&5)
    1468714692   (eval "$lt_compile" 2>conftest.err)
    1468814693   ac_status=$?
    1468914694   cat conftest.err >&5
    14690    echo "$as_me:14690: \$? = $ac_status" >&5
     14695   echo "$as_me:14695: \$? = $ac_status" >&5
    1469114696   if (exit $ac_status) && test -s "$ac_outfile"; then
    1469214697     # The compiler can only warn and ignore the option if not recognized
     
    1478814793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1478914794   -e 's:$: $lt_compiler_flag:'`
    14790    (eval echo "\"\$as_me:14790: $lt_compile\"" >&5)
     14795   (eval echo "\"\$as_me:14795: $lt_compile\"" >&5)
    1479114796   (eval "$lt_compile" 2>out/conftest.err)
    1479214797   ac_status=$?
    1479314798   cat out/conftest.err >&5
    14794    echo "$as_me:14794: \$? = $ac_status" >&5
     14799   echo "$as_me:14799: \$? = $ac_status" >&5
    1479514800   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1479614801   then
     
    1699517000   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1699617001   -e 's:$: $lt_compiler_flag:'`
    16997    (eval echo "\"\$as_me:16997: $lt_compile\"" >&5)
     17002   (eval echo "\"\$as_me:17002: $lt_compile\"" >&5)
    1699817003   (eval "$lt_compile" 2>conftest.err)
    1699917004   ac_status=$?
    1700017005   cat conftest.err >&5
    17001    echo "$as_me:17001: \$? = $ac_status" >&5
     17006   echo "$as_me:17006: \$? = $ac_status" >&5
    1700217007   if (exit $ac_status) && test -s "$ac_outfile"; then
    1700317008     # The compiler can only warn and ignore the option if not recognized
     
    1726317268   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1726417269   -e 's:$: $lt_compiler_flag:'`
    17265    (eval echo "\"\$as_me:17265: $lt_compile\"" >&5)
     17270   (eval echo "\"\$as_me:17270: $lt_compile\"" >&5)
    1726617271   (eval "$lt_compile" 2>conftest.err)
    1726717272   ac_status=$?
    1726817273   cat conftest.err >&5
    17269    echo "$as_me:17269: \$? = $ac_status" >&5
     17274   echo "$as_me:17274: \$? = $ac_status" >&5
    1727017275   if (exit $ac_status) && test -s "$ac_outfile"; then
    1727117276     # The compiler can only warn and ignore the option if not recognized
     
    1736717372   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1736817373   -e 's:$: $lt_compiler_flag:'`
    17369    (eval echo "\"\$as_me:17369: $lt_compile\"" >&5)
     17374   (eval echo "\"\$as_me:17374: $lt_compile\"" >&5)
    1737017375   (eval "$lt_compile" 2>out/conftest.err)
    1737117376   ac_status=$?
    1737217377   cat out/conftest.err >&5
    17373    echo "$as_me:17373: \$? = $ac_status" >&5
     17378   echo "$as_me:17378: \$? = $ac_status" >&5
    1737417379   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1737517380   then
Note: See TracChangeset for help on using the changeset viewer.